Bug 981278 - Bump max op-version for master branch and other op-version issues
Summary: Bump max op-version for master branch and other op-version issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kaushal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-04 11:10 UTC by Kaushal
Modified: 2013-07-24 18:03 UTC (History)
1 user (show)

Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-24 18:03:48 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Kaushal 2013-07-04 11:10:02 UTC
Since, release-3.4 was branched, the master branch is now the going to be the next release. So we need to bump up GD_OP_VERSION_MAX to signify a new release.

Comment 1 Kaushal 2013-07-04 11:21:13 UTC
Also update op-version to gluster mapping in release-3.4.

Comment 2 Anand Avati 2013-07-04 11:22:17 UTC
REVIEW: http://review.gluster.org/5287 (glusterd: Bump GD_MAX_OP_VERSION) posted (#1) for review on master by Kaushal M (kaushal@redhat.com)

Comment 3 Anand Avati 2013-07-04 11:27:11 UTC
REVIEW: http://review.gluster.org/5288 (glusterd: Update comment with op-version mapping) posted (#1) for review on release-3.4 by Kaushal M (kaushal@redhat.com)

Comment 4 Anand Avati 2013-07-04 14:36:52 UTC
COMMIT: http://review.gluster.org/5288 committed in release-3.4 by Vijay Bellur (vbellur@redhat.com) 
------
commit 2cc893dbfbb88ff6bceb81cc5d564b5fe89aa3ef
Author: Kaushal M <kaushal@redhat.com>
Date:   Thu Jul 4 16:55:41 2013 +0530

    glusterd: Update comment with op-version mapping
    
    Change-Id: If024921f2ce2c2d7c94b4a490585130dcf108d53
    BUG: 981278
    Signed-off-by: Kaushal M <kaushal@redhat.com>
    Reviewed-on: http://review.gluster.org/5288
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Tested-by: Vijay Bellur <vbellur@redhat.com>

Comment 5 Anand Avati 2013-07-05 13:00:37 UTC
COMMIT: http://review.gluster.org/5287 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit eb46c44b333dded7dedb71a48f64785e8b95f93b
Author: Kaushal M <kaushal@redhat.com>
Date:   Thu Jul 4 16:49:58 2013 +0530

    glusterd: Bump GD_MAX_OP_VERSION
    
    Change-Id: I7a212435ce7e98fe01aad2c0d1f698de8ea84235
    BUG: 981278
    Signed-off-by: Kaushal M <kaushal@redhat.com>
    Reviewed-on: http://review.gluster.org/5287
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 6 Anand Avati 2013-07-11 09:33:57 UTC
REVIEW: http://review.gluster.org/5320 (glusterd: Correct op-version of some options) posted (#1) for review on release-3.4 by Kaushal M (kaushal@redhat.com)

Comment 7 Anand Avati 2013-07-11 09:38:01 UTC
REVIEW: http://review.gluster.org/5318 (glusterd: Correct op-version of some options) posted (#2) for review on master by Kaushal M (kaushal@redhat.com)

Comment 8 Anand Avati 2013-07-11 20:21:27 UTC
COMMIT: http://review.gluster.org/5318 committed in master by Anand Avati (avati@redhat.com) 
------
commit 6f7d308bf7e07a4202ab091382ccf9cd3c2b309c
Author: Kaushal M <kaushal@redhat.com>
Date:   Mon Jul 8 16:06:31 2013 +0530

    glusterd: Correct op-version of some options
    
    New options being introduced in the master branch should now have
    op-version set to the GD_OP_VERSION_MAX (3). Some of the options have
    been backported to release-3.3 branch and hence should have their
    op-version reduced. Some other options had op-version incorrectly set as
    1.
    
    Change-Id: If40325b7b2da7aa36f90261024117cd18cf51ef0
    BUG: 981278
    Signed-off-by: Kaushal M <kaushal@redhat.com>
    Reviewed-on: http://review.gluster.org/5318
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 9 Anand Avati 2013-07-12 00:01:27 UTC
COMMIT: http://review.gluster.org/5320 committed in release-3.4 by Anand Avati (avati@redhat.com) 
------
commit 377eb7c1f8d661405d80f38af2048b588d414ae9
Author: Kaushal M <kaushal@redhat.com>
Date:   Mon Jul 8 16:06:31 2013 +0530

    glusterd: Correct op-version of some options
    
    Some of the options have been backported to release-3.3 branch and hence
    should have their op-version reduced. Some other options had op-version
    incorrectly set as 1.
    
    Change-Id: If40325b7b2da7aa36f90261024117cd18cf51ef0
    BUG: 981278
    Signed-off-by: Kaushal M <kaushal@redhat.com>
    Reviewed-on: http://review.gluster.org/5320
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>


Note You need to log in before you can comment on or make changes to this bug.